import {Component, OnInit} from '@angular/core';
import {action} from 'mobx-angular';
import {AppService} from './app.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  constructor(private appService: AppService) {}
  @action ngOnInit() {
    this.appService.init();
  }
}
