import {Component, Inject} from '@angular/core';
import {ETHERSCAN_LINK} from '../../../integrations/dictionaries/meta-mask.dictionary';
import {MAT_DIALOG_DATA} from '@angular/material/dialog';

@Component({
  selector: 'app-status-modal',
  templateUrl: './status-modal.component.html',
  styleUrls: ['./status-modal.component.scss'],
})

export class StatusModalComponent {
 constructor(@Inject(MAT_DIALOG_DATA) public data: { hash: string }) {}

 public get etherScanLink() {
   return ETHERSCAN_LINK + this.data.hash;
 }
}
